import { pipe } from 'fp-ts/lib/function';
export function ixflap(F) {
    return function (a) { return function (fab) {
        return pipe(fab, F.ixmap(function (f) { return f(a); }));
    }; };
}
export function ixlet(M) {
    return function (name, val) {
        return function (ma) {
            return pipe(ma, M.ixmap(function (a) {
                var _a;
                return Object.assign({}, a, (_a = {}, _a[name] = val(a), _a));
            }));
        };
    };
}
export function ixbindTo(F) {
    return function (name) { return function (fa) {
        return pipe(fa, F.ixmap(function (a) {
            var _a;
            return (_a = {}, _a[name] = a, _a);
        }));
    }; };
}
