import { pipe } from 'fp-ts/lib/function';
export function ixchainFirst(M) {
    return function (f) { return function (first) {
        return pipe(first, M.ixchain(function (a) {
            return pipe(f(a), M.ixmap(function () { return a; }));
        }));
    }; };
}
export function ixDo(F) {
    return function () { return F.of({}); };
}
export function ixbind(M) {
    return function (name, f) { return function (ma) {
        return pipe(ma, M.ixchain(function (a) {
            return pipe(f(a), M.ixmap(function (b) {
                var _a;
                return Object.assign({}, a, (_a = {}, _a[name] = b, _a));
            }));
        }));
    }; };
}
