"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ixbindTo = exports.ixlet = exports.ixflap = void 0;
var function_1 = require("fp-ts/lib/function");
function ixflap(F) {
    return function (a) { return function (fab) {
        return function_1.pipe(fab, F.ixmap(function (f) { return f(a); }));
    }; };
}
exports.ixflap = ixflap;
function ixlet(M) {
    return function (name, val) {
        return function (ma) {
            return function_1.pipe(ma, M.ixmap(function (a) {
                var _a;
                return Object.assign({}, a, (_a = {}, _a[name] = val(a), _a));
            }));
        };
    };
}
exports.ixlet = ixlet;
function ixbindTo(F) {
    return function (name) { return function (fa) {
        return function_1.pipe(fa, F.ixmap(function (a) {
            var _a;
            return (_a = {}, _a[name] = a, _a);
        }));
    }; };
}
exports.ixbindTo = ixbindTo;
